# YarpRoute.withTransformQueryRouteValue

- Module: [Aspire.Hosting.Yarp](/reference/api/typescript/aspire.hosting.yarp.md)
- Defined on: [YarpRoute](/reference/api/typescript/aspire.hosting.yarp/yarproute.md)
- Version: `13.4.0`
- Kind: `method`

Adds the transform that will append or set the query parameter from a route value.

## Definition

```typescript
interface YarpRoute {
  // ... omitted for brevity
  withTransformQueryRouteValue(
      queryKey: string,
      routeValueKey: string,
      append?: boolean): YarpRoute;
}
```

## Signature

```typescript
withTransformQueryRouteValue(
    queryKey: string,
    routeValueKey: string,
    append?: boolean): YarpRoute
```

## Parameters

- `queryKey` (`string`)
- `routeValueKey` (`string`)
- `append` (`boolean`) `optional` `= True`

## Returns

[YarpRoute](/reference/api/typescript/aspire.hosting.yarp/yarproute.md)

## Defined on

- [YarpRoute](/reference/api/typescript/aspire.hosting.yarp/yarproute.md) -- `handle`
